<?php

use App\Http\Controllers\ProviderPaymentMethodController;
use Illuminate\Support\Facades\Route;

Route::get('/provider/payment-methods/{id}', [ProviderPaymentMethodController::class, 'index'])->middleware('permission:config.provider_payment_method,view');
Route::get('/provider/payment-method/{id}', [ProviderPaymentMethodController::class, 'show'])->middleware('permission:config.provider_payment_method,view');
Route::post('/provider/payment-method', [ProviderPaymentMethodController::class, 'store'])->middleware('permission:config.provider_payment_method,add');
Route::put('/provider/payment-method/{id}', [ProviderPaymentMethodController::class, 'update'])->middleware('permission:config.provider_payment_method,edit');
Route::delete('/provider/payment-method/{id}', [ProviderPaymentMethodController::class, 'destroy'])->middleware('permission:config.provider_payment_method,delete');
